%define name tkseti
%define version 3.10.2
%define release 1mdk

Summary: TCL/TK front-end to the seti@home unix client
Name: %{name}
Version: %{version}
Release: %{release}
Source: %{name}-%{version}.tar.bz2
Requires: tk >= 8.0, tcl >= 8.0
License: GPL
URL: http://norlug.org/~chipster/index.pxml?tkseti
Group: Monitoring
Prefix: /usr/X11R6
Buildroot: %{_tmppath}/%{name}-buildroot
Buildarch:	noarch

%description
TkSETI is a GUI front-end to the SETI@Home client for UNIX. It is fully
customizable with lots of cool features: 
       
     * can passively monitor an already running setiathome client. 
     * can start/stop/pause the setiathome client when TkSETI starts/exits. 
     * can manually run/kill/pause/continue the setiathome client. 
     * can automatically stop the client during certain hours on certain days. 
     * can run your dialup network start/stop scripts when the client needs to
contact the server (even avoiding certain days and times). 
     * restarts the client if it dies unexpectedly. 
     * Linux only: can automatically run/kill/pause/continue the setiathome
client based on system idleness by monitoring any devices such as
     keyboard, mouse, etc. 
     * support for proxy servers. 
     * tracks your personal best scores for big Spikes and Gaussians, and
notifies you when new bigger ones are found. 
     * displays your statistics such as work units processed, total CPU time,
progress of current work unit, largest Spike and Gaussian, client
     CPU usage, etc. 
     * SkyMap shows the location of all work units processed plus the location
     of your best spike and gaussian. 
     * fully configurable to run on any UNIX platform. 
     * font selector. 
     * lets you check the work statistics of your friends to see who is ahead. 
     * notifies you if you or your friends make the Top Users, Spikes or
Gaussians lists. 
     * notifies you when a new version of TkSeti is available. 
     * on-line documentation. 

%prep
rm -rf $RPM_BUILD_ROOT

%setup 

%build

%install
rm -fr ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
install -m755 tkseti ${RPM_BUILD_ROOT}%{_bindir}
install -m444 man/tkseti.1* ${RPM_BUILD_ROOT}%{_mandir}/man1

%clean
rm -fr ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc docs/ChangeLog docs/DOC docs/README docs/contrib
%attr( 0755, root, root ) %{_bindir}/*
%attr( 0444, root, root ) %{_mandir}/man1/*

%changelog
* Thu Mar 25 2004 Lenny Cartier <lenny@mandrakesoft.com> 3.10.2-1mdk
- 3.10.2

* Thu Mar 11 2004 Lenny Cartier <lenny@mandrakesoft.com> 3.10.0-1mdk
- 3.10
- url

* Thu Feb 05 2004 Lenny Cartier <lenny@mandrakesoft.com> 3.07-1mdk
- 3.07

* Fri Nov 07 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.06-3mdk
- 3.06

* Tue Oct 09 2002 Lenny Cartier <lenny@mandrakesoft.com> 3.06-2mdk
- rebuild

* Wed Sep 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.06-1mdk
- 3.06

* Wed Jun 27 2001 Yves Bailly <ybailly@mandrakesoft.com> 3.04-1mdk
- upgraded to version 3.04

* Thu Nov 09 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.00-1mdk
- updated by Sean P. Kane <spkane@spkane.org> :
	- Upgraded to version 3.00

* Tue Sep 19 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.12-2mdk
- build release

* Fri Jul 7 2000 Sean P. Kane <spkane@home.com> 2.12-1mdk
- Upgraded to 2.12 (Again!! Why does this never appear on rpmfind.net?!?!)
- Mandrakized

* Thu Mar 02 2000 Sean P. Kane <spkane@home.com>
- Upgraded to Version 2.10

* Tue Feb 15 2000 Sean P. Kane <spkane@home.com>
- Upgraded to Version 2.08
- Fixed Source line to use %{version}

* Fri Jan 21 2000 Sean P. Kane <spkane@home.com>
- Upgraded to version 2.00

* Sat Jan 08 2000 Sean P. Kane <spkane@home.com>
- My first public RPM of the new Millenium (if you count 2000 versus 2001  :-)
- Upgraded to version 1.50

* Fri Nov 16 1999 Sean P. Kane <spkane@home.com>
- Created first TKseti RPM
- Happy Birthday to Me!!!
